Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-correlation-id
string

Caller-supplied correlation ID; the server generates one when omitted.

Required string length: 8 - 128
Pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]+$
Idempotency-Key
string

Enables exact replay for mutating requests for 24 hours.

Required string length: 16 - 200
Pattern: ^[A-Za-z0-9._:-]+$

Path Parameters

workspaceId
string
required
environmentId
string
required
name
string
required

Body

application/json

Request body for PUT /v1/workspaces/{workspaceId}/environments/{environmentId}/variables/{name}.

Response

Successful response.

Successful response for PUT /v1/workspaces/{workspaceId}/environments/{environmentId}/variables/{name}.